> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withterminal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IFTA Summary

> Get all vehicle IFTA reports for the requested time span.

Currently can only increment by full months.

*Note:* data may change for a few days after the month. We will continue to update those reports to ensure you get accurate results.


## OpenAPI

````yaml GET /ifta/summary
openapi: 3.1.0
info:
  title: Terminal Telematics API
  description: >-
    Terminal is a unified API that makes it easy to integrate with the leading
    telematics service providers.
  version: '0.0'
  contact:
    name: Terminal
    email: connect@withterminal.com
    url: https://www.withterminal.com
servers:
  - url: https://api.withterminal.com/tsp/v1
    description: Production
  - url: https://api.sandbox.withterminal.com/tsp/v1
    description: Sandbox
security:
  - Authorization: []
tags:
  - name: Authentication
  - name: Connections
  - name: Data Management
  - name: Drivers
  - name: Groups
  - name: Hours of Service
  - name: IFTA
  - name: Issues
  - name: Link
  - name: Providers
  - name: Safety
  - name: Trailers
  - name: Vehicles
  - name: Vehicle Utilization
  - name: Webhook Events
paths:
  /ifta/summary:
    parameters: []
    get:
      tags:
        - IFTA
      summary: Get IFTA Summary
      description: >-
        Get all vehicle IFTA reports for the requested time span.


        Currently can only increment by full months. 


        _Note:_ data may change for a few days after the month. We will continue
        to update those reports to ensure you get accurate results.
      operationId: getIFTASummary
      parameters:
        - name: X-Application-Id
          in: header
          required: false
          description: >-
            Scopes the request to a Terminal application in the caller's
            organization. Required for multi-application organizations when
            using a user session or OAuth access token. API keys are already
            bound to a single application.
          schema:
            type: string
        - name: cursor
          in: query
          schema:
            type: string
            format: cursor
            example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          description: Pagination cursor to start requests from
        - schema:
            type: string
            enum:
              - vehicle
          in: query
          name: expand
          description: Expand resources in the returned response
        - name: Connection-Token
          in: header
          required: true
          schema:
            type: string
            example: con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4
            pattern: ^con_tkn_\S+$
          description: >-
            The token returned when a user authenticated their account. This
            authorizes access to a specific account.
        - name: raw
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            Include raw responses used to normalize model. Used for debugging or
            accessing unique properties that are not unified.
        - schema:
            title: ISOMonth
            type: string
            pattern: ^(\d{4})-(0[1-9]|1[0-2])$
            example: 2021-01
            description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) month'
          in: query
          name: startMonth
          description: The month from which to start including vehicle reports
          required: true
        - schema:
            title: ISOMonth
            type: string
            pattern: ^(\d{4})-(0[1-9]|1[0-2])$
            example: 2021-01
            description: '[ISO 8601](https://www.w3.org/TR/NOTE-datetime) month'
          in: query
          name: endMonth
          description: Include vehicle reports up to and including this month
          required: true
        - schema:
            type: string
            enum:
              - jurisdiction
              - vehicle
              - vehicle,jurisdiction
              - vehicle,jurisdiction,month
            default: vehicle,jurisdiction
          in: query
          name: groupBy
          description: >-
            Computes the total distance traversed within a specified month
            range, with the results grouped by either jurisdiction, vehicle, or
            both. If no grouping parameter is provided, the default grouping is
            `vehicle,jurisdiction`.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      title: IFTA Summary
                      x-model-category: historical
                      type: object
                      properties:
                        provider:
                          title: Provider Code
                          type: string
                          example: geotab
                          description: >-
                            Every provider has a unique code to identify it
                            across Terminal's system. You can find each
                            provider's code under [provider
                            details](/providers).
                        vehicle:
                          example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                          oneOf:
                            - title: VehicleId
                              description: Unique identifier for the vehicle in Terminal.
                              type: string
                              format: ulid
                              pattern: ^vcl_[0-9A-HJKMNP-TV-Z]{26}$
                              example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                            - title: Expanded Vehicle
                              type: object
                              properties:
                                id:
                                  title: VehicleId
                                  description: >-
                                    Unique identifier for the vehicle in
                                    Terminal.
                                  type: string
                                  format: ulid
                                  pattern: ^vcl_[0-9A-HJKMNP-TV-Z]{26}$
                                  example: vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC
                              required:
                                - id
                          description: >-
                            Entities in Terminal are expandable. Using the
                            `expand` query parameter you can choose to ingest
                            just an ID or the full entity details.
                        jurisdiction:
                          example: TN
                          oneOf:
                            - type: 'null'
                            - title: State
                              type: string
                              enum:
                                - AL
                                - AK
                                - AS
                                - AZ
                                - AR
                                - CA
                                - CO
                                - CT
                                - DE
                                - FL
                                - GA
                                - GU
                                - HI
                                - ID
                                - IL
                                - IN
                                - IA
                                - KS
                                - KY
                                - LA
                                - ME
                                - MD
                                - MA
                                - MI
                                - MN
                                - MP
                                - MS
                                - MO
                                - MT
                                - NE
                                - NV
                                - NH
                                - NJ
                                - NM
                                - NY
                                - NC
                                - ND
                                - OH
                                - OK
                                - OR
                                - PA
                                - PR
                                - RI
                                - SC
                                - SD
                                - TN
                                - TX
                                - UT
                                - VT
                                - VA
                                - WA
                                - WV
                                - WI
                                - WY
                                - VI
                                - AB
                                - BC
                                - MB
                                - NB
                                - NL
                                - NS
                                - 'ON'
                                - PE
                                - QC
                                - SK
                                - NT
                                - NU
                                - UM
                                - YT
                                - DC
                              example: TN
                              description: US State or Canadian Province
                        distance:
                          title: Distance In Kilometers
                          type: number
                          description: Distance in kilometers
                          example: 100
                        month:
                          title: ISOMonth
                          type: string
                          pattern: ^(\d{4})-(0[1-9]|1[0-2])$
                          example: 2021-01
                          description: >-
                            [ISO 8601](https://www.w3.org/TR/NOTE-datetime)
                            month
                        raw:
                          title: RawDataList
                          type: array
                          example: []
                          items:
                            title: RawData
                            type: object
                            properties:
                              provider:
                                type: string
                              schema:
                                type: string
                              extractedAt:
                                type: string
                              data:
                                type: object
                            required:
                              - provider
                              - schema
                              - extractedAt
                              - data
                      required:
                        - provider
                        - distance
                      x-description: >-
                        A report of IFTA data for a specific vehicle. Currently
                        only incremented by full months.
                  next:
                    title: Pagination Cursor
                    type: string
                    example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
                    description: Cursor used for pagination.
                    format: cursor
                required:
                  - results
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - bad_request
                  message:
                    type: string
                    example: Invalid request body
                  detail:
                    type: array
                    items:
                      title: ErrorPathDetail
                      type: object
                      properties:
                        message:
                          type: string
                          example: '''vehicleId'' property must be a valid ulid'
                        path:
                          type: string
                          example: '{requestQuery}.vehicleId'
                        suggestion:
                          type: string
                          example: >-
                            Please ensure you submit a valid 'vehicleId'
                            property
                        context:
                          type: object
                      required:
                        - message
                        - path
                required:
                  - code
                  - message
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - unauthorized
                  message:
                    type: string
                    example: Unauthorized Request
                  detail:
                    type: string
                    example: Please ensure you have a valid API key
                required:
                  - code
                  - message
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - forbidden
                  message:
                    type: string
                    example: Forbidden Request
                  detail:
                    type: string
                    example: >-
                      Please ensure the connection token matches the resource
                      you are attempting to access.
                required:
                  - code
                  - message
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                properties:
                  code:
                    enum:
                      - too_many_requests
                  retryAfter:
                    description: The number of seconds to wait before retrying the request
                    type: integer
                    example: 60
                  message:
                    type: string
                    example: Too Many Requests
                  detail:
                    type: string
                    example: You have exceeded your rate limit. Please try again later.
                required:
                  - code
                  - message
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - internal_server_error
                  message:
                    type: string
                    example: Internal Server Error
                  detail:
                    type: string
                    example: Something went wrong
                required:
                  - code
                  - message
        '504':
          description: Gateway Timeout Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    enum:
                      - gateway_timeout
                  message:
                    type: string
                    example: Gateway Timeout
                required:
                  - code
                  - message
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````